package _08_while;

public class Test4 {
    public static void main(String[] args) {
        //已知 珠穆朗玛峰 高度8844430
        // 一张纸厚度  0.1 cm
        // 问一张纸需要折叠多少次才可以比珠穆朗玛高啊
        int height = 8844430;
        double paper = 0.1;
        int count = 0;

        while (paper < height){
            // 每次折叠厚度变成2倍
            paper *= 2;
            // 折叠次数+1
            count ++;
        }
        System.out.println("折叠次数为:"+ count);

    }
}
